[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] Choosing which version of a bundle to start after the workbench starts

Hi all,

I have multiple versions of a bundle installed in my Eclipse installation.  After the workbench starts up, I need to make a decision as to which version of the bundle should be started based on a system property that the user passes in from the command line.  Currently, I am doing this through a framework adapter that adds a BundleInfo to disable/enable appropriate versions of the bundle as the workbench starts up, but this is brittle and has limitations.

This bundle is not a singleton and all downstream bundles depend on a version range that includes all possible candidates of this bundle.

So my question is: is there any way to control which version of the plugin starts without using BundleInfos?  I can provide more details if you need.

thanks for your help,
Andrew